JGI_SUMMARIZE_BAM_CONTIG_DEPTHS(1)

NAME
jgi_summarize_bam_contig_depths - jgi_summarize_bam_contig_depths nosha

SYNOPSIS
jgi_summarize_bam_contig_depths <options> sortedBam1 [ sortedBam2 ...]

OPTIONS

--outputDepth
    arg The file to put the contig by bam depth matrix (default: STDOUT)

--percentIdentity
    arg The minimum end-to-end % identity of qualifying reads (default: 97)

--pairedContigs
    arg The file to output the sparse matrix of contigs which paired reads span (default: none)

--unmappedFastq
    arg The prefix to output unmapped reads from each bam file suffixed by 'bamfile.bam.fastq.gz'

--noIntraDepthVariance
    Do not include variance from mean depth along the contig

--showDepth
    Output a .depth file per bam for each contig base

--minMapQual
    arg The minimum mapping quality necessary to count the read as mapped (default: 0)

--weightMapQual
    arg Weight per-base depth based on the MQ of the read (i.e uniqueness) (default: 0.0 (disabled))

--includeEdgeBases
    When calculating depth & variance, include the 1-readlength edges (off by default)

--maxEdgeBases
    When calculating depth & variance, and not --includeEdgeBases, the maximum length (default:75)

--referenceFasta
    arg The reference file. (It must be the same fasta that bams used)

Options that require a --referenceFasta

--outputGC
    arg The file to print the gc coverage histogram

--gcWindow
    arg The sliding window size for GC calculations

--outputReadStats
    arg The file to print the per read statistics

--outputKmers
    arg The file to print the perfect kmer counts

Options to control shredding contigs that are under represented by the reads

--shredLength
    arg The maximum length of the shreds

--shredDepth
    arg The depth to generate overlapping shreds

--minContigLength
    arg The mimimum length of contig to include for mapping and shredding

--minContigDepth
    arg The minimum depth along contig at which to break the contig

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.